Ratings Firms
curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/calendar/ratings/firms?token='import requests
url = "https://api.benzinga.com/api/v2.1/calendar/ratings/firms?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v2.1/calendar/ratings/firms?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"analyst_ratings_firm": [
{
"id": "692d37e208782e0001f054f2",
"name": "konik capital partners llc"
},
{
"id": "691f0b6521a45000013bb706",
"name": "BNP Paribas Exane"
},
{
"id": "6916bad521a450000139dde8",
"name": "Galaxy Digital"
},
{
"id": "690d8c8ed8a7a50001a7ca17",
"name": "Blue Diamond Securities of America LLC"
},
{
"id": "690907ab6d699e0001d02d93",
"name": "Aletheia Capital"
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Calendars
Ratings Firms
Returns the available firms providing analyst ratings
GET
/
api
/
v2.1
/
calendar
/
ratings
/
firms
Ratings Firms
{
"analyst_ratings_firm": [
{
"id": "692d37e208782e0001f054f2",
"name": "konik capital partners llc"
},
{
"id": "691f0b6521a45000013bb706",
"name": "BNP Paribas Exane"
},
{
"id": "6916bad521a450000139dde8",
"name": "Galaxy Digital"
},
{
"id": "690d8c8ed8a7a50001a7ca17",
"name": "Blue Diamond Securities of America LLC"
},
{
"id": "690907ab6d699e0001d02d93",
"name": "Aletheia Capital"
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Authorizations
Query Parameters
Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date. Default is 0
Number of results returned. Limit 1000
Fields
Firm
Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated
Was this page helpful?
⌘I